| http://www.sim.no/ http://www.coin3d.org/

Public Member Functions | Protected Attributes | List of all members
SbVec4i32 Class Reference

`#include <Inventor/SbVec4i32.h>`

## Public Member Functions

| SbVec4i32 (const int32_t v[4])
| SbVec4i32 (int32_t x, int32_t y, int32_t z, int32_t w)
| SbVec4i32 (const SbVec4ui32 &v)
| SbVec4i32 (const SbVec4b &v)
| SbVec4i32 (const SbVec4s &v)
| SbVec4i32 (const SbVec4f &v)
| SbVec4i32 (const SbVec4d &v)
SbVec4i32 & | setValue (const int32_t v[4])
SbVec4i32 & | setValue (int32_t x, int32_t y, int32_t z, int32_t w)
SbVec4i32 & | setValue (const SbVec4ui32 &v)
SbVec4i32 & | setValue (const SbVec4b &v)
SbVec4i32 & | setValue (const SbVec4s &v)
SbVec4i32 & | setValue (const SbVec4f &v)
SbVec4i32 & | setValue (const SbVec4d &v)
const int32_t * | getValue (void) const
void | getValue (int32_t &x, int32_t &y, int32_t &z, int32_t &w) const
int32_t & | operator[] (int i)
const int32_t & | operator[] (int i) const
int32_t | dot (const SbVec4i32 &v) const
void | negate (void)
SbVec4i32 & | operator*= (int d)
SbVec4i32 & | operator*= (double d)
SbVec4i32 & | operator/= (int d)
SbVec4i32 & | operator/= (double d)
SbVec4i32 & | operator+= (const SbVec4i32 &v)
SbVec4i32 & | operator-= (const SbVec4i32 &v)
SbVec4i32 | operator- (void) const

## Protected Attributes

int32_t | vec [4]

## Detailed Description

Since
  Coin 2.5

The documentation for this class was generated from the following files:

- SbVec4i32.h
- SbVec4i32.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.